> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/log/_get.md).

# \_get

Returns the logs of changes to a requested object in a specified system. (e.g A specified Quote or Job)

### Parameters

#### type

The system type which the Logs will be retrieved from:\
quote\
form\
job\
asset\
invoice\
purchase\_order\
user

#### obj\_id

The ID of the object which Logs of their changes will be retrieved.

### Example

```
FM_api('Log_get',[
  'type'=>'quote',
  'obj_id'=>'369018'
]);
```

### Results

#### On Success

```
[{"id":"652835","cdate":"1709470562","type_name":"quote","type_name2":"set notes","description":"quote notes updated","user_id":"92447","meta":"{\"notes\":\"Test Note Change\",\"user_ip\":\"86.42.2.80\"}","obj_id":"369018"},{"id":"652834","cdate":"1708900842","type_name":"quote","type_name2":"new","description":"quote created","user_id":"92447","meta":"{\"user_ip\":\"46.101.44.45\"}","obj_id":"369018"}]
```

#### On Failure

If the "type" parameter is not given a value which remains after being trimmed:

```
{"error":"missing or invalid parameter: type"}
```

If the "obj\_id" parameter is not set:

```
{"error":"no \"obj_id\" parameter"}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/log/_get.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
